<?php

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $tienda_id      = $decoded['tienda_id'];
  $encuesta_id    = $decoded['encuesta_id'];
  $datetoday      = date('Y-m-d');

  if( $usr_id ){

    //User
    $Query = "
      SELECT
        usr.id, usr.fk_usuario_tipo
      FROM usuarios_app usr
      WHERE
        usr.Id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
	  $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      //Valida Si es Fuerza de Ventas y Tienda Checkin
      if( $Usr[fk_usuario_tipo] == 1 ){

        //Visita
        $Query = "
          SELECT
            vi.id, vi.fk_tienda
          FROM visitas_fuerzaventas vi
          WHERE
            vi.id               != '0'
            AND vi.fk_usuario   = '$Usr[id]'
            AND vi.in_          = '1'
          GROUP BY vi.Id
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Visita = mysqli_fetch_assoc($Result);

        if( $Visita[id] ){
          //Tienda
          $Query = "
            SELECT
              tie.id,
              tie.nombre,
              tie.codigoQr,
              tie.fk_pais, pai.nombre AS pais,
              tie.fk_estado, est.estado,
              tie.fk_municipio, mun.municipio,
              tie.codigo_postal, tie.colonia,
              tie.calle, tie.no_exterior, tie.no_interior,
              tie.lat, tie.lng
            FROM tiendas tie
            LEFT JOIN cat_paises pai ON pai.id = tie.fk_pais
            LEFT JOIN cat_estados est ON est.id = tie.fk_estado
            LEFT JOIN cat_municipios mun ON mun.id = tie.fk_municipio
            WHERE
              tie.id = '$Visita[fk_tienda]'
            GROUP BY tie.Id
          ";
          $Result = mysqli_query($mysqli, $Query);
          $TiendaVal = mysqli_fetch_assoc($Result);
          if( $TiendaVal[id] ){

            

          }
        }

      }

      //Valida Encuesta
      $Where = "
        WHERE enc.id = '$encuesta_id'
        AND enc.fechainicio <= '$datetoday' AND enc.fechalimite >= '$datetoday'
      ";

      //Validación de Encuestas
      $Query = "
        SELECT
          enc.id, enc.nombre,
          enc.fechainicio, enc.fechalimite
        FROM encuestas enc
        $Where
      ";
      $Result = mysqli_query($mysqli, $Query);
  	  $Encuesta = mysqli_fetch_assoc($Result);
      if( $Encuesta[id] ){

        $Enc = array(
          'encuesta_id'   => $Encuesta[id],
          'nombre'        => $Encuesta[nombre],
          'fecha_inicio'  => $Encuesta[fechainicio],
          'fecha_limite'  => $Encuesta[fechalimite]
        );

        //Preguntas
        $qrPreguntas = "
          SELECT
            pre.id,
            pre.pregunta, pre.fk_encuesta_pregunta_tipo
          FROM encuestas_preguntas pre
          WHERE pre.fk_encuesta = '$Encuesta[id]'
            ORDER BY pre.orden ASC
        ";
        $pregs = mysqli_query($mysqli, $qrPreguntas);
        mysqli_data_seek($pregs, 0);
        while($preg = mysqli_fetch_array($pregs)) {

          if( $preg[fk_encuesta_pregunta_tipo] == 2 || $preg[fk_encuesta_pregunta_tipo] == 3 ){

            //Opciones
            $Opss = "";
            $qrOpciones = "
              SELECT
                opc.id,
                opc.opcion
              FROM encuestas_preguntas_opciones opc
              WHERE opc.fk_pregunta = '$preg[id]'
                ORDER BY opc.orden ASC
            ";
            $Opciones = mysqli_query($mysqli, $qrOpciones);
            mysqli_data_seek($Opciones, 0);
            while($Opcion = mysqli_fetch_array($Opciones)) {
              $Opcs[$preg[id]][] = $Opcion[opcion];
            }
            //End Opciones

            $Preguntas[] = array(
              'pregunta_id'   => $preg[id],
              'pregunta_tipo' => $preg[fk_encuesta_pregunta_tipo],
              'pregunta'      => $preg[pregunta],
              'opciones'      => $Opcs[$preg[id]]
            );

          }else{

            $Preguntas[] = array(
              'pregunta_id'   => $preg[id],
              'pregunta_tipo' => $preg[fk_encuesta_pregunta_tipo],
              'pregunta'      => $preg[pregunta]
            );

          }

        }

        $Data = array(
          'encuesta'   => $Enc,
          'preguntas'  => $Preguntas
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }else{

        //Error
        $Query = "
          SELECT
            err.Id, err.error, err.msn
          FROM api_errores err
          WHERE err.error = 'en-1'
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Error = mysqli_fetch_assoc($Result);

        $Data = array(
          'action'      => 'error',
          'error'       => $Error[error],
          'error_msn'   => $Error[msn]
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }else{

      //Error
      $Query = "
        SELECT
          err.Id, err.error, err.msn
        FROM api_errores err
        WHERE err.error = 'en-1'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Error = mysqli_fetch_assoc($Result);

      $Data = array(
        'action'      => 'error',
        'error'       => $Error[error],
        'error_msn'   => $Error[msn]
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }

?>
